package handlers

import (
	"net/http"

	"git.tavo.one/tavo/axiom/views"
)

func (h *Handler) SampleIndex(w http.ResponseWriter, r *http.Request) {
	views.RenderHTML(w, r, "index-page", nil)
}

func (h *Handler) SampleLoginPage(w http.ResponseWriter, r *http.Request) {
	views.RenderHTML(w, r, "login-page", nil)
}

func (h *Handler) SampleLoginForm(w http.ResponseWriter, r *http.Request) {
	w.Write([]byte("Authentication complete!"))
}
